org.apache.tomcat.websocket

## Class ReadBufferOverflowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.websocket.ReadBufferOverflowException

All Implemented Interfaces:
  Serializable

    public class ReadBufferOverflowException
    extends IOException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadBufferOverflowException(int minBufferSize)`

### Method Summary

Methods
`int` `getMinBufferSize()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadBufferOverflowException

    public ReadBufferOverflowException(int minBufferSize)

### Method Detail

#### getMinBufferSize

    public int getMinBufferSize()